package com.xhpc.activity.service;

import com.xhpc.activity.domain.XhpcActivityTemplateDomain;

import java.util.List;
import java.util.Map;

public interface XhpcActivityTemplateService {

    List<XhpcActivityTemplateDomain> getPage(Map<String, Object> params);

    List<Map<String, Object>> getNameList(Map<String, Object> params);

    XhpcActivityTemplateDomain getDomainByPk(Integer templateId);

    boolean insertDomain(XhpcActivityTemplateDomain domain);

    boolean updateDomain(XhpcActivityTemplateDomain domain);

    boolean updateDomainStatus(XhpcActivityTemplateDomain domain);

    boolean deleteByPk(Integer templateId);
}
